### 7.3.9 intersect (plural)

`Syntax:`
  `intersect (`expression_list of ideal_expression `)`
  `intersect (`expression_list of module_expression `)`

`Type:`
  ideal, resp. module

`Purpose:`
  computes the intersection of ideals, resp. modules.
`Example:`

      ring r=0,(x,y),dp;
      def R=nc_algebra(-1,0);  //anti-commutative algebra
      setring R;
      module M=[x,x],[y,0];
      module N=[0,y^2],[y,x];
      option(redSB);
      module Res;
      Res=intersect(M,N);
      print(Res);
      ==> y2, 0,
      ==> -xy,xy2
      kill r,R;
      //--------------------------------
      LIB "ncalg.lib";
      ring r=0,(x,d),dp;
      def RR=Weyl(); // make r into Weyl algebra
      setring RR;
      ideal I = x+d^2;
      ideal J = d-1;
      ideal H = intersect(I,J);
      H;
      ==> H[1]=d4+xd2-2d3-2xd+d2+x+2d-2
      ==> H[2]=xd3+x2d-xd2+d3-x2+xd-2d2-x+1

User manual for Singular version 4.4.1, 2025, generated by texi2html.